var Configure = GetInputConstructorValue("Configure", loader);
if (Configure["original"].length == 0) {
	Invalid(tr("Configure") + " " + tr("is empty"));
    return;
}
var Username = GetInputConstructorValue("Username", loader);
if (Username["original"].length == 0) {
	Invalid(tr("Username") + " " + tr("is empty"));
    return;
}
var Password = GetInputConstructorValue("Password", loader);
if (Password["original"].length == 0) {
	Invalid(tr("Password") + " " + tr("is empty"));
    return;
}
var Inbox = GetInputConstructorValue("Inbox", loader);
if (Inbox["original"].length == 0) {
	Invalid(tr("Inbox name") + " " + tr("is empty"));
    return;
}
var Host = GetInputConstructorValue("Host", loader);
var Port = GetInputConstructorValue("Port", loader);
var Encryption = GetInputConstructorValue("Encryption", loader);
try {
    var code = loader.GetAdditionalData() + _.template($("#ImapCustom_Config_code").html())({
        "Configure": Configure["updated"],
        "Username": Username["updated"],
        "Password": Password["updated"],
        "Encryption": Encryption["updated"],
        "Inbox": Inbox["updated"],
        "Port": Port["updated"],
        "Host": Host["updated"]
    });
    code = Normalize(code, 0);
    BrowserAutomationStudio_Append("", BrowserAutomationStudio_SaveControls() + code, action, DisableIfAdd);
}catch(e){}