<div class="container-fluid">
	<%= _.template($('#input_constructor').html())({id:"Configure", description:tr("Configure"), default_selector:"string", variants:["auto","manual"], disable_int:true, value_string:"auto", help:{description:tr("Configuring imap server settings."), examples:[{code:"auto",description:tr("The imap server settings are configured automatically (Does not work with all mail services)")},{code:"manual",description:tr("Imap server settings are configured manually")}]} }) %>
	<span id="manual">
		<%= _.template($('#input_constructor').html())({id:"Host", description:tr("Imap Server Host"), default_selector:"string", disable_int:true, help:{description: tr("Imap server name. Can be found by searching imap settings for your email hosting, like this: 'gmail imap settings'"), examples:[{code:"imap.gmail.com",description:tr("gmail.com")},{code:"imap.mail.yahoo.com",description:tr("yahoo.com")},{code:"imap-mail.outlook.com",description:tr("outlook.com")},{code:"imap.yandex.ru",description:tr("yandex.ru")},{code:"imap.mail.ru",description:tr("mail.ru")}]} }) %>
		<%= _.template($('#input_constructor').html())({id:"Port", description:tr("Port"), default_selector:"int", disable_string:true, value_number:993, help:{description: tr("Imap server port. Almost always this value should be equal to 993. If 993 doesn't work, try to search imap settings for your email hosting, like this: 'gmail imap settings'"),examples:[{code:"993",description:tr("Default port for imap server")}]} }) %>
		<%= _.template($('#input_constructor').html())({id:"Encryption", description:tr("Encryption"), default_selector:"string", variants:["ssl","none"], disable_int:true, value_string:"ssl", help:{description: tr("Whether to use encryption when connecting to imap")} }) %>
	</span>
	<%= _.template($('#input_constructor').html())({id:"Username", description:tr("Username. Can be blank"), default_selector:"string", disable_int:true, help:{description:tr("Username, this is almost always the same as you email login"),examples:[{code:"test@gmail.com"},{code:"test",description:tr("Imap login may also not include domain. Check imap settings for your mail service.")}]} }) %>
	<%= _.template($('#input_constructor').html())({id:"Password", description:tr("Password. Can be blank"), default_selector:"string", disable_int:true, help:{description:tr("Password, this is almost always the same as you email password")} }) %>
	<%= _.template($('#variable_constructor').html())({id:"Save", description:tr("Folders list"), default_variable:"FOLDERS_LIST", help:{description:tr("This variable will contain list of folders available in the mail after successful execution.")} }) %>
	<span data-preserve="true" data-preserve-type="check" data-preserve-id="Check">
		<input type="checkbox" id="Check" checked="checked"/> <label for="Check" class="tr">Add folder name</label>
	</span>
</div>
<div class="tooltipinternal">
	<div class="tr tooltip-paragraph-first-fold">Get a list of folders with mail.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
<%= "<s" + "cript>" %>
		
		function set_visible_manual(){
			if($('#Configure').val()=="auto"){
				$('#manual').hide();
			}else{
				$('#manual').show();
			}
		};
		
		$(document).ready(function(){
			setTimeout(set_visible_manual, 0)
        });
		
        $('#Configure').on('focusout', function(){set_visible_manual()});	

<%= "</" + "script>" %>