var Configure = GetInputConstructorValue("Configure", loader);
if (Configure["original"].length == 0) {
	Invalid(tr("Configure") + " " + tr("is empty"));
    return;
}
var Username = GetInputConstructorValue("Username", loader);
if (Username["original"].length == 0) {
	Invalid(tr("Username") + " " + tr("is empty"));
    return;
}
var Password = GetInputConstructorValue("Password", loader);
if (Password["original"].length == 0) {
	Invalid(tr("Password") + " " + tr("is empty"));
    return;
}
var Host = GetInputConstructorValue("Host", loader);
var Port = GetInputConstructorValue("Port", loader);
var Encryption = GetInputConstructorValue("Encryption", loader);
var Save = this.$el.find("#Save").val().toUpperCase();
var AddFolderName = $("#Check").is(':checked');
try {
    var code = loader.GetAdditionalData() + _.template($("#ImapCustom_GetFoldersList_code").html())({
        "Configure": Configure["updated"],
        "Username": Username["updated"],
        "Password": Password["updated"],
        "Encryption": Encryption["updated"],
        "Port": Port["updated"],
        "Host": Host["updated"],
        "variable": "VAR_" + Save,
		"AddFolderName": AddFolderName
    });
    code = Normalize(code, 0);
    BrowserAutomationStudio_Append("", BrowserAutomationStudio_SaveControls() + code, action, DisableIfAdd);
}catch(e){}